<div class="tag-logs-create">
    <div class="row">
        <div class="col-md-12"> 
            <div class="card mb-3">
                <div class="card-header">
                   Add New Tag Log
                    <div [hidden]="!showSpinner">
                        <app-spinner></app-spinner>
                    </div>
                </div>
                <div class="card-body">
                    <!-- <div class="form-content">
                        <div class="form-group">
                            <div class="form-line">
                                <select [(ngModel)]="model.SiteId" class="form-control input-sm" style="height:34px">
                                    <option value="0">Select Object</option>
                                    <option *ngFor="let item of sites" [value]="item.Id" [ngValue]="item.Id">
                                        {{ item.Name }}
                                    </option>
                                </select>
                            </div>
                        </div>                 
                    </div> -->
                    <div class="form-content">
                        <div class="form-group">
                            <p-calendar [style]="{'width':'99%'}" [inputStyle]="{'width':'99%'}" placeholder="Date and Time" [(ngModel)]="model.Time" dateFormat="mm/dd/yy" [showTime]="true" timeFormat="HH:mm" [showIcon]="true"></p-calendar>                         
                        </div>                 
                    </div>

                    <div class="form-content">
                        <div class="form-group">
                            <div class="form-line">
                                <select [(ngModel)]="model.GuardId" class="form-control input-sm" style="height:34px">
                                    <option value="0">Select Guard</option>
                                    <option *ngFor="let item of Guards" [value]="item.Id" [ngValue]="item.Id">
                                        {{ item.Name }}
                                    </option>
                                </select>
                            </div>
                        </div>                 
                    </div>
                  
                </div>
                <div class="card-footer">
                    <button type="button" [disabled]="!model.Name" class="btn btn-success rounded-btn"> Save </button>&nbsp;
                    <a class="btn btn-default rounded-btn" [routerLink]="['/guards']"> Cancel </a>
                </div>
            </div>
        </div>
    </div>
  </div>
  